# $Revision: 1.9 $, $Date: 2004/05/07 00:35:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	HexDump
Summary:	Data::HexDump - a simple hexadecial dumper
Summary(pl):	Data::HexDump - proste zrzucanie danych w formacie szesnastkowym
Name:		perl-Data-HexDump
Version:	0.02
Release:	3
# sa,e as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	467b7183d1062ab4a502b50c34e7d67f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dump in hexadecimal the content of a scalar. The result is returned in
a string. Each line of the result consists of the offset in the source
in the leftmost column of each line, followed by one or more columns
of data from the source in hexadecimal. The rightmost column of each
line shows the printable characters (all others are shown as single
dots).

%description -l pl
Data::HexDump wyrzuca szesnastkowo zawarto skalara. Wynik jest
zwracany jako acuch. Kada linia wyniku skada si z offsetu w
rdle w lewej kolumnie kadej linii, po ktrym nastpuje jedna lub
wicej kolumn szesnastkowych danych ze rda. Prawa kolumna kadej
linii pokazuje znaki drukowalne (wszystkie inne s pokazywane jako
pojedyncze kropki).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-HexDump.spec,v $
Revision 1.9  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.8  2004/04/19 22:22:13  ankry
- license/description fixes

Revision 1.7  2004/04/10 18:29:58  qboosh
- new-style bcond

Revision 1.6  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/12 22:03:32  qboosh
- pl

Revision 1.3  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.2  2003/04/09 23:24:56  ankry
- rel. 2

Revision 1.1  2003/04/09 22:59:52  ankry
- new
